# IntegralElimination

This package implements the integral elimination algortihm described in :  
 
* François Lemaire and Louis Roussel. 
*Contribution to Integral
Elimination*. Computer Algebra in Scientific Computing (CASC) 26th International 
Workshop, Sep 2024, Rennes, France. pp.215--235. https://hal.science/hal-04570612

* François Lemaire and Louis Roussel. 
*Recent Advances on Integral Elimination*. Preprint. https://hal.science/hal-04965642



The source code is availaible at :
```
https://codeberg.org/louis-roussel/IntegralElimination
```
 
# Installation

* **Using pip**
```
python -m pip install IntegralElimination
```
* **Or by building and installing the package**
```
python -m pip install .
```

# How to use ?
Examples are available in the *examples* folder. 
<!-- 
# Details on the implentation
* This implementation in Python uses the SymPy package.
* The functions implemented are as close as possible to those in the articles above.
    * A slight modification as been made to the *update_exp* function to correctly handle exponentials that have already been defined. -->

# Contact


* [Louis Roussel](https://louis-roussel.github.io/) (louis.roussel@univ-lille.fr), Université de Lille, CNRS, Centrale Lille, UMR 9189 CRIStAL, F-59000 Lille, France

 